Raster Translate doesn't read output format

2016-10-05 06:21 AM - Edward Rollason

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23591

Description

The Raster -> Convert tool in version 2.16 on Mac (Kyngchaos install) no longer correctly reads the file type selected in the output file

option.  It defaults to "-of NITF"  and doesn't change if you select a different file format when saving the file (see image attached).

History

#1 - 2016-10-05 08:56 AM - Alexander Bruy

- Category set to GDAL Tools

#2 - 2016-10-05 02:48 PM - Saber Razmjooei

I have come across this under Windows. By removing reg key for gdal tools, it started working.

#3 - 2016-10-20 04:27 AM - Olivier ATHIMON

- File Translate_is_Always_in_GTiff_even_if_choose_BMP_or_others_formats.png added

- Target version set to Future Release - High Priority

- File Translate_is_Always_in_GTiff.png added

I have a similar problem with QGIS LTR 2.14.7, QGIS 2.16.3 and QGIS 2.17 under windows 64 bits (install OSGeo4W 64 bits)

The "Menu Raster > Conversion > Translate (Convert Format)..." always gives "-of GTiff", even if i choose BMP, AAIgrid, JPEG for output format...

#4 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#5 - 2017-02-08 02:48 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Should be fixed in Processing front-end

Files

About_QGIS_-_64_Bit___About.png 70.8 KB 2016-10-05 Edward Rollason

Translate__Convert_format__and_QGIS_2_16_2.png 116 KB 2016-10-05 Edward Rollason

Translate_is_Always_in_GTiff.png 39.7 KB 2016-10-20 Olivier ATHIMON

2024-04-09 1/2



Translate_is_Always_in_GTiff_even_if_choose_BMP_or_others_formats.png77.4 KB 2016-10-20 Olivier ATHIMON

2024-04-09 2/2


